# 微信支付
wechat:
  payment:
    appid: wx369fcff95d387bde
    # 微信商户号
    mchid: 1635831469
    mchsn: 6A45EEB068369430B2FFD45EA29F641A8E18165F
    v3Key: iTRovdvaTUQq0b9Jr91D7Tx66JnIes5U
    notifyUrl: https://dev.kuaiyuman.cn/api/payment/notify
    refundNotifyUrl: https://dev.kuaiyuman.cn/api/payment/refundNotify
    certPath: cert/apiclient_cert.pem
    keyPath: cert/apiclient_key.pem

  miniapp:
    appid: wx369fcff95d387bde
    secret: e36560b99afd5f744754cd09e8f6cc2a
    # 以下需要先开通消息推送
    token: #微信小程序消息服务器配置的token
    aesKey: #微信小程序消息服务器配置的EncodingAESKey
    msgDataFormat: JSON

  #运营看板小程序
  kanban:
    appid: wx35b22037ccbc7b3f
    secret: b59ff1b7d160b5c0efe33570a2f3fdf2
    token:

  fapiao:
    baseInformation: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/merchant/base-information
    taxCodes: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/merchant/tax-codes
    fapiaoApplications: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/fapiao-applications
    notifyUrl: https://dev.kuaiyuman.cn/api/invoice/notify
    devConfig: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/merchant/development-config
    fapiaoFiles: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/fapiao-applications/%s/fapiao-files
    queryFapiao: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/fapiao-applications/%s
    titleUrl: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/user-title/title-url
    userTitle: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/user-title?scene=WITHOUT_WECHATPAY&fapiao_apply_id=%s
    cardTemplate: https://api.mch.weixin.qq.com/v3/new-tax-control-fapiao/card-template

 # 公众号配置
  mp:
    appid: wx93b0ef1be901bd19
    secret: eea715b3058717f44e17c3e4e5cf1d2f
    token: kym
    aeskey: U1ZC5gRrY4DDLZeyKxwpvU5Q7lQvvnQdOV0aX0UPpn6

spring:
  datasource:
    druid: #以下是全局默认值，可以全局更改
      #监控统计拦截的filters
      filters: stat,slf4j
      #配置初始化大小/最小/最大
      initial-size: 2
      min-idle: 2
      max-active: 20
      #获取连接等待超时时间
      max-wait: 60000
      #间隔多久进行一次检测，检测需要关闭的空闲连接
      time-between-eviction-runs-millis: 60000
      #一个连接在池中最小生存的时间
      min-evictable-idle-time-millis: 300000
      validation-query: SELECT 'x'
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
      pool-prepared-statements: false
      max-pool-prepared-statement-per-connection-size: 20
    dynamic:
      primary: db-admin
      strict: false #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
      datasource:
        db-admin:
          url: jdbc:mysql://183.234.100.174:3306/charge_admin?serverTimezone=Asia/Shanghai
          username: root
          password: KuaiyuMan/*-
          driver-class-name: com.mysql.cj.jdbc.Driver
        db-miniapp:
          url: jdbc:mysql://183.234.100.174:3306/charge_app?serverTimezone=Asia/Shanghai
          username: root
          password: KuaiyuMan/*-
          driver-class-name: com.mysql.cj.jdbc.Driver
  data:
    redis:
      port: 6379
      host: 183.234.100.174
      password: KtXA^Zx!TZmLEy(@JjB@2(TVG0kdy5)&
      database: 10
      lettuce:
        pool:
          min-idle: 1
        cluster:
          refresh:
            adaptive: true
            period: 20
  cache:
    type: redis
    redis:
      # 缓存过期时间：7天
      time-to-live: 604800
  rabbitmq:
    host: 183.234.100.174
    port: 5672
    username: kym
    password: kym!@123
    virtual-host: /dev
    publisher-returns: true
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual
        retry:
          enabled: true
          max-attempts: 3
          initial-interval: 3000ms
          max-interval: 6000ms
          multiplier: 2
        consumer-batch-enabled: true #开启批量消费
        batch-size: 100 #每次批量消费大小

kym:
  notify-email: skyline@kuaiyuman.cn
  notify-email-switch: true
